Name:          fastutil
Version:       7.0.7
Release:       2%{?dist}
Summary:       Fast & compact type-specific collections for Java
# LGPL (v2.1 or later):
# src/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStream.java
# test/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStreamTest.java
License:       ASL 2.0 and LGPLv2+
# altenative url
#URL:           https://github.com/vigna/fastutil
# often is offline
URL:           http://fastutil.di.unimi.it/
Source0:       https://github.com/vigna/fastutil/archive/%{version}.tar.gz
# Disable ivy and maven-ant-tasks support
# Fix aqute-bnd classpath
# Fix pom task
Patch0:        fastutil-7.0.7-build.patch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: aqute-bnd
BuildRequires: emma
BuildRequires: java-javadoc
BuildRequires: javapackages-local
# Required for generate source code
BuildRequires: gcc
BuildRequires: make

BuildArch:     noarch

%description
Fastutil extends the Java Collections Framework by providing type-specific
maps, sets, lists and priority queues with a small memory footprint and
fast access and insertion; it also includes a fast I/O API for binary and
text files. The classes implement their standard counterpart interface
(e.g., Map for maps) and can be plugged into existing code. Moreover, they
provide additional features (such as bidirectional iterators) that are not
available in the standard classes.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

%patch0 -p1

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," \
 src/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStream.java \
 test/it/unimi/dsi/fastutil/io/InspectableFileCachedInputStreamTest.java
 
# Remove empty dependencies list
%pom_xpath_remove "pom:dependencies" pom-model.xml

%build

# Generate source code
mkdir -p build
%{__make} -s clean sources
# Build
ant -Djar.base=%{_javadir}/emma -Dj2se.apiurl=%{_javadocdir}/java pom

%install
%mvn_file it.unimi.dsi:%{name} %{name}
%mvn_artifact dist/lib/pom.xml dist/lib/%{name}-%{version}.jar
%mvn_install -J docs

%check
mkdir -p reports
ant -Djar.base=%{_javadir}/emma junit

%files -f .mfiles
%doc CHANGES README.md
%license LICENSE-2.0

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Oct 27 2015 gil cattaneo <puntogil@libero.it> 7.0.7-1
- update to 7.0.7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.5.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Feb 01 2015 gil cattaneo <puntogil@libero.it> 6.5.9-4
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.5.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 6.5.9-2
- Use Requires: java-headless rebuild (#1067528)

* Wed Sep 18 2013 gil cattaneo <puntogil@libero.it> 6.5.9-1
- update to 6.5.9

* Mon Aug 26 2013 gil cattaneo <puntogil@libero.it> 6.5.7-1
- imported package fastutil for Fedora

* Wed Nov 02 2011 gil cattaneo <puntogil@libero.it> 6.4.1-1.mga2
- imported package fastutil
